Bug 178649

Summary: We need a storeStoreFence before storing to the instruction stream's live variable catch data
Product: WebKit Reporter: Saam Barati <sbarati>
Component: JavaScriptCoreAssignee: Saam Barati <sbarati>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, commit-queue, fpizlo, ggaren, gskachkov, jfbastien, keith_miller, mark.lam, msaboff, rmorisset, ticaiolima, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: Safari Technology Preview   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
patch none

Description Saam Barati 2017-10-22 14:33:20 PDT
...
Comment 1 Saam Barati 2017-10-30 17:36:46 PDT
Created attachment 325392 [details]
patch
Comment 2 Keith Miller 2017-10-30 17:43:58 PDT
Comment on attachment 325392 [details]
patch

r=me.
Comment 3 WebKit Commit Bot 2017-10-30 18:15:11 PDT
Comment on attachment 325392 [details]
patch

Clearing flags on attachment: 325392

Committed r224217: <https://trac.webkit.org/changeset/224217>
Comment 4 WebKit Commit Bot 2017-10-30 18:15:13 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2017-11-15 13:12:36 PST
<rdar://problem/35569009>